%global _empty_manifest_terminate_build 0
Name:           python-storops
Version:        1.2.8
Release:        1
Summary:        Python API for VNX and Unity.
License:        Apache-2.0
URL:            https://github.com/emc-openstack/storops
Source0:        https://files.pythonhosted.org/packages/d6/d5/f5f034716060b28d98e18113ec8f22fd9936e9fe19a857164d310232e06c/storops-1.2.8.tar.gz
BuildArch:      noarch
%description
StorOps: The Python Library for VNX & Unity.

%package -n python3-storops
Summary:        Python API for VNX and Unity.
Provides:       python-storops
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-dateutil
BuildRequires:  python3-retryz
BuildRequires:  python3-cachez
BuildRequires:  python3-bitmath
BuildRequires:  python3-persist-queue
BuildRequires:  python3-pyyaml
BuildRequires:  python3-enum34
BuildRequires:  python3-xmltodict
#for test
BuildRequires:	python3-fasteners
BuildRequires:	python3-ddt
BuildRequires:	python3-hamcrest
BuildRequires:	python3-coverage
BuildRequires:	python3-mock
BuildRequires:  python3-pytest
# General requires
Requires:       python3-requests
Requires:       python3-six
Requires:       python3-dateutil
Requires:       python3-retryz
Requires:       python3-cachez
Requires:       python3-bitmath
Requires:       python3-persist-queue
Requires:       python3-pyyaml
Requires:       python3-enum34
%description -n python3-storops
StorOps: The Python Library for VNX & Unity.

%package help
Summary:        Python API for VNX and Unity.
Provides:       python3-storops-doc
%description help
StorOps: The Python Library for VNX & Unity.

%prep
%autosetup -n storops-1.2.8 -S git

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
#%{__python3} -m unittest 

%files -n python3-storops -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jul 19 2021 OpenStack_SIG <openstack@openeuler.org> - 1.2.8-1
- Package Spec generate

